org.apache.cayenne.access.translator.select

## Class FluentSelectWrapper

- java.lang.Object
- - org.apache.cayenne.access.translator.select.FluentSelectWrapper

- All Implemented Interfaces:
    TranslatableQueryWrapper

      public class FluentSelectWrapper
      extends Object
      implements TranslatableQueryWrapper

  Since:
    4.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FluentSelectWrapper(FluentSelect<?> select)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<Property<?>>` | `getColumns()`
    `Expression` | `getHavingQualifier()`
    `QueryMetadata` | `getMetaData(EntityResolver resolver)`
    `Collection<Ordering>` | `getOrderings()`
    `Expression` | `getQualifier()`
    `boolean` | `isDistinct()`
    `FluentSelect<?>` | `unwrap()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cayenne.access.translator.select.TranslatableQueryWrapper

      `needsResultSetMapping`

- - ### Constructor Detail

    - #### FluentSelectWrapper

          public FluentSelectWrapper(FluentSelect<?> select)

  - ### Method Detail

    - #### isDistinct

          public boolean isDistinct()

      Specified by:
        `isDistinct` in interface `TranslatableQueryWrapper`

    - #### getMetaData

          public QueryMetadata getMetaData(EntityResolver resolver)

      Specified by:
        `getMetaData` in interface `TranslatableQueryWrapper`

    - #### getQualifier

          public Expression getQualifier()

      Specified by:
        `getQualifier` in interface `TranslatableQueryWrapper`

    - #### getOrderings

          public Collection<Ordering> getOrderings()

      Specified by:
        `getOrderings` in interface `TranslatableQueryWrapper`

    - #### getColumns

          public Collection<Property<?>> getColumns()

      Specified by:
        `getColumns` in interface `TranslatableQueryWrapper`

    - #### getHavingQualifier

          public Expression getHavingQualifier()

      Specified by:
        `getHavingQualifier` in interface `TranslatableQueryWrapper`

    - #### unwrap

          public FluentSelect<?> unwrap()

      Specified by:
        `unwrap` in interface `TranslatableQueryWrapper`

Copyright © 2001–2021 Apache Cayenne. All rights reserved.